io.agora.rtc

## Enum Constants.NetworkType

- java.lang.Object
- - java.lang.Enum<Constants.NetworkType>
  - - io.agora.rtc.Constants.NetworkType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.NetworkType>
  Enclosing class:
    Constants

      public static enum Constants.NetworkType
      extends java.lang.Enum<Constants.NetworkType>

  The network type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NETWORK_TYPE_DISCONNECTED` 0: The SDK disconnects from the network.
    `NETWORK_TYPE_LAN` 1: The network type is LAN.
    `NETWORK_TYPE_MOBILE_2G` 3: The network type is mobile 2G.
    `NETWORK_TYPE_MOBILE_3G` 4: The network type is mobile 3G.
    `NETWORK_TYPE_MOBILE_4G` 5: The network type is mobile 4G.
    `NETWORK_TYPE_MOBILE_5G` 6: The network type is mobile 5G.
    `NETWORK_TYPE_UNKNOWN` -1: The network type is unknown.
    `NETWORK_TYPE_WIFI` 2: The network type is Wi-Fi (including hotspots).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the network type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.NetworkType` | `fromInt(int value)` Converts an integer value to its corresponding NetworkType enum constant.
    `int` | `getValue()` Gets the integer value of the network type.
    `static Constants.NetworkType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.NetworkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NETWORK_TYPE_UNKNOWN

          public static final Constants.NetworkType NETWORK_TYPE_UNKNOWN

      -1: The network type is unknown.

    - #### NETWORK_TYPE_DISCONNECTED

          public static final Constants.NetworkType NETWORK_TYPE_DISCONNECTED

      0: The SDK disconnects from the network.

    - #### NETWORK_TYPE_LAN

          public static final Constants.NetworkType NETWORK_TYPE_LAN

      1: The network type is LAN.

    - #### NETWORK_TYPE_WIFI

          public static final Constants.NetworkType NETWORK_TYPE_WIFI

      2: The network type is Wi-Fi (including hotspots).

    - #### NETWORK_TYPE_MOBILE_2G

          public static final Constants.NetworkType NETWORK_TYPE_MOBILE_2G

      3: The network type is mobile 2G.

    - #### NETWORK_TYPE_MOBILE_3G

          public static final Constants.NetworkType NETWORK_TYPE_MOBILE_3G

      4: The network type is mobile 3G.

    - #### NETWORK_TYPE_MOBILE_4G

          public static final Constants.NetworkType NETWORK_TYPE_MOBILE_4G

      5: The network type is mobile 4G.

    - #### NETWORK_TYPE_MOBILE_5G

          public static final Constants.NetworkType NETWORK_TYPE_MOBILE_5G

      6: The network type is mobile 5G.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the network type

  - ### Method Detail

    - #### values

          public static Constants.NetworkType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.NetworkType c : Constants.NetworkType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.NetworkType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the network type.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.NetworkType fromInt(int value)

      Converts an integer value to its corresponding NetworkType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding NetworkType, or null if the value is not found.